Index: /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/OCE/step.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/OCE/step.F90	(revision 14077)
+++ /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/OCE/step.F90	(revision 14078)
@@ -207,4 +207,5 @@
       IF( ln_diaptr  )   CALL dia_ptr                 ! Poleward adv/ldf TRansports diagnostics
       IF( ln_diaharm )   CALL dia_harm( kstp )        ! Tidal harmonic analysis
+                         CALL dia_prod( kstp )        ! ocean model: product diagnostics
                          CALL dia_wri ( kstp )        ! ocean model: outputs
       !
Index: /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/OCE/step_oce.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/OCE/step_oce.F90	(revision 14077)
+++ /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/OCE/step_oce.F90	(revision 14078)
@@ -80,4 +80,5 @@
    USE diahsb          ! heat, salt and volume budgets    (dia_hsb routine)
    USE diaharm
+   USE diaprod
    USE diacfl
    USE diaobs          ! Observation operator
Index: /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/SAS/sbcssm.F90
===================================================================
--- /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/SAS/sbcssm.F90	(revision 14077)
+++ /NEMO/branches/UKMO/NEMO_4.0.4_GO8_package/src/SAS/sbcssm.F90	(revision 14078)
@@ -77,5 +77,15 @@
       REAL(wp) ::   ztinta     ! ratio applied to after  records when doing time interpolation
       REAL(wp) ::   ztintb     ! ratio applied to before records when doing time interpolation
-      !!----------------------------------------------------------------------
+      CHARACTER(len=4),SAVE :: stype
+      !!---------------------------------------------------------------------
+      IF( kt == nit000 ) THEN
+         IF( ln_TEOS10 ) THEN
+            stype='abs'   ! teos-10: using absolute salinity (sst is converted to potential temperature for the surface module)
+         ELSE IF( ln_EOS80  ) THEN
+            stype='pra'   ! eos-80: using practical salinity
+         ELSE IF ( ln_SEOS) THEN
+            stype='seos' ! seos using Simplified Equation of state (sst is converted to potential temperature for the surface module)
+         ENDIF
+      ENDIF
       !
       IF( ln_timing )   CALL timing_start( 'sbc_ssm')
@@ -144,6 +154,6 @@
          CALL iom_put( 'ssu_m', ssu_m )
          CALL iom_put( 'ssv_m', ssv_m )
-         CALL iom_put( 'sst_m', sst_m )
-         CALL iom_put( 'sss_m', sss_m )
+         CALL iom_put( 'sst_m_pot', sst_m )
+         CALL iom_put( 'sss_m_'//stype, sss_m )
          CALL iom_put( 'ssh_m', ssh_m )
          IF( .NOT.ln_linssh )   CALL iom_put( 'e3t_m', e3t_m )
